#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:smokegen
Summary: Scripting Meta Object Kompiler Engine Generator
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)
BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: pkgconfig(QtXml) < 5.0.0
BuildRequires: cmake

%description
SMOKE (Scripting Meta Object Kompiler Engine) Generator.

#------------------------------------------------------------------------------

%define libsmokebase_major 3
%define libsmokebase %mklibname smokebase %{libsmokebase_major}

%package -n %{libsmokebase}
Summary: Scripting Meta Object Kompiler Engine Library
Group: System/Libraries
Conflicts: %{_lib}smokeqt3 <= 1:4.5.80-1 

%description -n %{libsmokebase}
SMOKE (Scripting Meta Object Kompiler Engine) Runtime Library.

%files -n %{libsmokebase}
%_libdir/libsmokebase.so.%{libsmokebase_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Header files for Scripting Meta Object Kompiler Engine
Group: Development/KDE and Qt
Conflicts: smoke4-devel < 1:4.6.90
Requires:  %{libsmokebase}  = %epoch:%version-%release

%description devel
Header files for SMOKE (Scripting Meta Object Kompiler Engine).

%files devel
%_bindir/smokegen
%_bindir/smokeapi
%_libdir/libcppparser.so
%_libdir/libsmokebase.so
%_includedir/smokegen/
%_includedir/smoke.h
%_libdir/smokegen/
%_datadir/smokegen/
%_datadir/smoke/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches 

%build
export LD=/usr/bin/ld.gold 
%cmake_qt4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407132
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401957
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394317
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Mon Jan 14 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 382204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339285
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334467
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326609
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320155
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Thu Nov 08 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316412
- Use pkgconfig() for BR
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301892
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289637
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276616
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269606
- new version 4.8.97

* Fri Jun 29 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 264967
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257170
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228477
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220780
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198092
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190842
- Update tarball to KDE SC 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186403
- Update tarball to KDE SC 4.7.95
- drop patch100 (merged in tarball)

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182236
- Update tarball to KDE SC 4.7.90
- use gold linker
- fix buildrequires
- fix files list for -devel package
- Add patch100 from branch to fix a segfault when building akonadi bindings

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176585
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161441
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151995
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140685
- Update tarball to KDE SC 4.7.1
- Fix License
- Remove %%clean section
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122556
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Tue Jun 28 2011 mikala <mikala> 1:4.6.90-1.mga2
+ Revision: 115443
- imported package smokegen

